@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/usr/bin/perl
#line 15
use strict;
use warnings;

package App::Addex::addex;

=head1 NAME

addex - create mail helper files for address book entries

=head1 VERSION

version 0.022

=cut

our $VERSION = '0.022';

=head1 DESCRIPTION

The F<addex> command produces configuration for various email tools based on
your address book.  For more information, consult L<App::Addex>.

=cut

use App::Addex;
use Config::MVP::Assembler;
use Config::MVP::Reader::INI;
use File::HomeDir;
use File::Spec;
use Getopt::Long::Descriptive;

my ($opt, $usage) = describe_options(
  '%c %o',
  [ 'config|c=s',     'config file name',
    { default => File::Spec->catfile(File::HomeDir->my_home, '.addex') }   ],
);

my $assembler = Config::MVP::Assembler->new;
$assembler->change_section('App::Addex', 'classes');

my $seq = Config::MVP::Reader::INI->read_config(
  $opt->{config},
  { assembler => $assembler }
);

my $addex = App::Addex->from_sequence($seq);

$addex->run;

=head1 AUTHOR

Ricardo SIGNES, C<< <rjbs@cpan.org> >>

=head1 BUGS

Please report any bugs or feature requests through the web interface at
L<http://rt.cpan.org>.  I will be notified, and then you'll automatically be
notified of progress on your bug as I make changes.

=head1 COPYRIGHT

Copyright 2006-2007 Ricardo Signes, all rights reserved.

This program is free software; you may redistribute it and/or modify it
under the same terms as Perl itself.

=cut


__END__
:endofperl
